Set seller body encryption keys
curl --request PUT \
--url https://api.zeroclick.io/v1/sellers/{sellerId}/body-encryption \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"jwks": {
"keys": [
{
"kty": "EC",
"crv": "P-256",
"kid": "<string>",
"x": "<string>",
"y": "<string>",
"use": "enc",
"alg": "ECDH-ES+A256KW"
}
]
},
"activeKid": "<string>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
jwks: {
keys: [
{
kty: 'EC',
crv: 'P-256',
kid: '<string>',
x: '<string>',
y: '<string>',
use: 'enc',
alg: 'ECDH-ES+A256KW'
}
]
},
activeKid: '<string>'
})
};
fetch('https://api.zeroclick.io/v1/sellers/{sellerId}/body-encryption', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.zeroclick.io/v1/sellers/{sellerId}/body-encryption"
payload = {
"jwks": { "keys": [
{
"kty": "EC",
"crv": "P-256",
"kid": "<string>",
"x": "<string>",
"y": "<string>",
"use": "enc",
"alg": "ECDH-ES+A256KW"
}
] },
"activeKid": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"bodyEncryption": {
"id": "<string>",
"jwks": {
"keys": [
{
"kty": "EC",
"crv": "P-256",
"kid": "<string>",
"x": "<string>",
"y": "<string>",
"use": "enc",
"alg": "ECDH-ES+A256KW"
}
]
},
"activeKid": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}{}{}{}{}Sellers
Set seller body encryption keys
Stores the seller’s public-only P-256 JSON Web Key Set and active key id used by buyers to encrypt request bodies end to end. Replaces any existing configuration.
PUT
/
v1
/
sellers
/
{sellerId}
/
body-encryption
Set seller body encryption keys
curl --request PUT \
--url https://api.zeroclick.io/v1/sellers/{sellerId}/body-encryption \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"jwks": {
"keys": [
{
"kty": "EC",
"crv": "P-256",
"kid": "<string>",
"x": "<string>",
"y": "<string>",
"use": "enc",
"alg": "ECDH-ES+A256KW"
}
]
},
"activeKid": "<string>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
jwks: {
keys: [
{
kty: 'EC',
crv: 'P-256',
kid: '<string>',
x: '<string>',
y: '<string>',
use: 'enc',
alg: 'ECDH-ES+A256KW'
}
]
},
activeKid: '<string>'
})
};
fetch('https://api.zeroclick.io/v1/sellers/{sellerId}/body-encryption', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.zeroclick.io/v1/sellers/{sellerId}/body-encryption"
payload = {
"jwks": { "keys": [
{
"kty": "EC",
"crv": "P-256",
"kid": "<string>",
"x": "<string>",
"y": "<string>",
"use": "enc",
"alg": "ECDH-ES+A256KW"
}
] },
"activeKid": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"bodyEncryption": {
"id": "<string>",
"jwks": {
"keys": [
{
"kty": "EC",
"crv": "P-256",
"kid": "<string>",
"x": "<string>",
"y": "<string>",
"use": "enc",
"alg": "ECDH-ES+A256KW"
}
]
},
"activeKid": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}{}{}{}{}Authorizations
API key created in the ZeroClick dashboard under Settings → API keys. Keys start with zc_. Send them as Authorization: Bearer zc_....
Path Parameters
Minimum string length:
1Body
application/json
Response
Default Response
Show child attributes
Show child attributes
⌘I